/**************************************************************************\
 *
 *  This file is part of the Coin 3D visualization library.
 *  Copyright (C) 1998-2004 by Systems in Motion.  All rights reserved.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  ("GPL") version 2 as published by the Free Software Foundation.
 *  See the file LICENSE.GPL at the root directory of this source
 *  distribution for additional information about the GNU GPL.
 *
 *  For using Coin with software that can not be combined with the GNU
 *  GPL, and for taking advantage of the additional benefits of our
 *  support services, please contact Systems in Motion about acquiring
 *  a Coin Professional Edition License.
 *
 *  See <URL:http://www.coin3d.org/> for more information.
 *
 *  Systems in Motion, Teknobyen, Abels Gate 5, 7030 Trondheim, NORWAY.
 *  <URL:http://www.sim.no/>.
 *
\**************************************************************************/

#include "SoAnnotation.cpp"
#include "SoAntiSquish.cpp"
#include "SoArray.cpp"
#include "SoBaseColor.cpp"
#include "SoBlinker.cpp"
#include "SoBumpMap.cpp"
#include "SoBumpMapCoordinate.cpp"
#include "SoCallback.cpp"
#include "SoCamera.cpp"
#include "SoClipPlane.cpp"
#include "SoColorIndex.cpp"
#include "SoComplexity.cpp"
#include "SoCoordinate3.cpp"
#include "SoCoordinate4.cpp"
#include "SoDirectionalLight.cpp"
#include "SoDrawStyle.cpp"
#include "SoEnvironment.cpp"
#include "SoEventCallback.cpp"
#include "SoExtSelection.cpp"
#include "SoFile.cpp"
#include "SoFont.cpp"
#include "SoFontStyle.cpp"
#include "SoGroup.cpp"
#include "SoInfo.cpp"
#include "SoLOD.cpp"
#include "SoLabel.cpp"
#include "SoLevelOfDetail.cpp"
#include "SoLight.cpp"
#include "SoLightModel.cpp"
#include "SoLinearProfile.cpp"
#include "SoListener.cpp"
#include "SoLocateHighlight.cpp"
#include "SoMaterial.cpp"
#include "SoMaterialBinding.cpp"
#include "SoMatrixTransform.cpp"
#include "SoMultipleCopy.cpp"
#include "SoNode.cpp"
#include "SoNormal.cpp"
#include "SoNormalBinding.cpp"
#include "SoNurbsProfile.cpp"
#include "SoOrthographicCamera.cpp"
#include "SoPackedColor.cpp"
#include "SoPathSwitch.cpp"
#include "SoPendulum.cpp"
#include "SoPerspectiveCamera.cpp"
#include "SoPickStyle.cpp"
#include "SoPointLight.cpp"
#include "SoPolygonOffset.cpp"
#include "SoProfile.cpp"
#include "SoProfileCoordinate2.cpp"
#include "SoProfileCoordinate3.cpp"
#include "SoResetTransform.cpp"
#include "SoRotation.cpp"
#include "SoRotationXYZ.cpp"
#include "SoRotor.cpp"
#include "SoScale.cpp"
#include "SoSceneTexture2.cpp"
#include "SoSelection.cpp"
#include "SoSeparator.cpp"
#include "SoShapeHints.cpp"
#include "SoShuttle.cpp"
#include "SoSpotLight.cpp"
#include "SoSurroundScale.cpp"
#include "SoSwitch.cpp"
#include "SoTexture2.cpp"
#include "SoTexture2Transform.cpp"
#include "SoTexture3.cpp"
#include "SoTexture3Transform.cpp"
#include "SoTextureCoordinate2.cpp"
#include "SoTextureCoordinate3.cpp"
#include "SoTextureCoordinateBinding.cpp"
#include "SoTextureCoordinateDefault.cpp"
#include "SoTextureCoordinateEnvironment.cpp"
#include "SoTextureCoordinateFunction.cpp"
#include "SoTextureCoordinatePlane.cpp"
#include "SoTextureScalePolicy.cpp"
#include "SoTextureUnit.cpp"
#include "SoTransform.cpp"
#include "SoTransformSeparator.cpp"
#include "SoTransformation.cpp"
#include "SoTranslation.cpp"
#include "SoTransparencyType.cpp"
#include "SoUnits.cpp"
#include "SoUnknownNode.cpp"
#include "SoVertexProperty.cpp"
#include "SoWWWAnchor.cpp"
#include "SoWWWInline.cpp"
